# $Revision: 1.11 $, $Date: 2005/01/09 18:38:46 $
Summary:	Network library, for network administrators and network hackers
Summary(pl):	Biblioteka sieciowa dla administratorw i hackerw
Name:		netwib
Version:	5.28.0
Release:	1
Epoch:		0
License:	LGPL
Group:		Libraries
Source0:	http://www.laurentconstantin.com/common/netw/netwib/download/v5/%{name}-%{version}-src.tgz
# Source0-md5:	1f987bd1968442adecd0e420c7603380
URL:		http://www.laurentconstantin.com/en/netw/netwib/
BuildRequires:	libnet-devel >= 1.0
BuildRequires:	libpcap-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netwib is a network library, for network administrators and network
hackers. It provides :
  - network functionalities :
    + address conversion
    + udp/tcp clients/servers
    + packet encoding/decoding/displaying
    + spoofing
    + sniffing
    + etc.
  - and general functionalities :
    + data conversion
    + linked list, hash
    + portable threads
    + etc.
Using all these functions, a network program can be quickly created.

%description -l pl
Netwib to biblioteka sieciowa przeznaczona dla administratorw sieci i
sieciowych hackerw. Zapewnia:
 - funkcjonalno zwizan z sieci:
   - konwersj adresw
   - obsug klientw/serwerw udp/tcp
   - kodowanie/dekodowanie/wywietlanie pakietw
   - spoofowanie
   - sniffowanie
   - itp.
 - oraz ogln funkcjonalno:
   - konwersj danych
   - listy i hashe
   - przenone wtki
   - itp.
Przy uyciu tych wszystkich funkcji mona szybko tworzy oprogramowanie
sieciowe.

%package devel
Summary:	Header files and development documentation for netwib
Summary(pl):	Pliki nagwkowe i dokumentacja programisty dla netwib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description devel
Header files and development documentation for netwib.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty dla netwib.

%package static
Summary:	Static netwib library
Summary(pl):	Statyczna biblioteka netwib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
Static netwib library.

%description static -l pl
Statyczna biblioteka netwib.

%prep
%setup -q -n %{name}-%{version}-src

%build
cd src
%define         base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/;s/ppc/powerpc/')
sed -i -e 's#NETWIBDEF_SYSARCH=i386#NETWIBDEF_SYSARCH=%{base_arch}#g' config.dat
sed -i -e 's#/bin/ip#/sbin/ip#g' netwib/net/priv/conf/conflinux.c
./genemake
sed -i -e 's#444#644#' -e 's#555#755#g' Makefile
%{__make} libnetwib.so libnetwib.a \
	CC="%{__cc}" \
	GCCOPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man{1,3}}

cd src
%{__make} installall \
	INSTINCLUDE=$RPM_BUILD_ROOT%{_includedir} \
	INSTLIB=$RPM_BUILD_ROOT%{_libdir} \
	INSTBIN=$RPM_BUILD_ROOT%{_bindir} \
	INSTMAN1=$RPM_BUILD_ROOT%{_mandir}/man1 \
	INSTMAN3=$RPM_BUILD_ROOT%{_mandir}/man3 \
	INSTUSERGROUP="$(id -u):$(id -g)"

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/*.txt
%attr(755,root,root) %{_libdir}/lib*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_includedir}/*
%{_mandir}/man?/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: netwib.spec,v $
Revision 1.11  2005/01/09 18:38:46  adamg
- updated to 5.28.0

Revision 1.10  2004/12/01 20:25:29  paszczus
- updated to 5.27.0

Revision 1.9  2004/10/26 17:36:45  paszczus
- updated to 5.26.0

Revision 1.8  2004/09/28 15:13:48  paladine
- updated to 5.25.0

Revision 1.7  2004/09/07 14:47:08  kolodko
- up to 5.23.0

Revision 1.6  2004/09/03 13:29:33  darekr
- updated to 5.22.0

Revision 1.5  2004/04/07 10:30:54  arekm
- updated to 5.13.0

Revision 1.4  2004/03/31 13:09:25  qwark
- update to version 5.12.0

Revision 1.3  2003/10/21 19:49:39  qboosh
- pl

Revision 1.2  2003/10/21 09:16:29  arekm
- fix powerpc

Revision 1.1  2003/10/21 08:13:37  arekm
- initial pld release
